GET
/api/v2/users/{userId}/referrals/invitationsLists the invitations sent by this user.
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| userId (path) | integer (int32) | Yes | |
| page (query) | unknown | No | |
| pageSize (query) | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | string (uuid) | Yes | |
| RecipientEmail | string | Yes | |
| RecipientName | string | Yes | |
| RegisteredUserId | unknown | Yes | |
| Source | string | Yes | |
| Status | string | Yes | |
| DeliveryStatus | string | Yes | |
| SendCount | unknown | Yes | |
| CreatedAt | string (date-time) | Yes | |
| ExpiresAt | string (date-time) | Yes | |
| LastSentAt | string (date-time) | Yes | |
| AcceptedAt | string (date-time) | Yes |
Example request
curl -X GET "https://{base_url}/api/v2/users/{userId}/referrals/invitations" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.